package de.intevation.gnv.state;

/**
 * @author <a href="mailto:ingo.weinzierl@intevation.de">Ingo Weinzierl</a>
 */
public class ExtendedInputData extends DefaultInputData {

    public static final String SEPARATOR = ";";

    protected String parameterid;

    public ExtendedInputData(
        String name,
        String value,
        Object object,
        String parameterid)
    {
        super(name, value, object);
        this.parameterid = parameterid;
    }

    public String getParameterID() {
        return parameterid;
    }

    public void setParameter(String parameterid) {
        this.parameterid = parameterid;
    }
}
// vim:set ts=4 sw=4 si et sta sts=4 fenc=utf8 :
